Subject: bug#36858: 27.0.50; display bugs with display-fill-column-indicator-mode

From: Carsten Dominik <[email-masked]>
Date: Sat, 10 Aug 2019 16:17:18 +0200

Hi Eli,

On Sat, Aug 10, 2019 at 3:38 PM Eli Zaretskii <[email-masked]> wrote:

> > From: Carsten Dominik <[email-masked]>
> > Date: Sat, 10 Aug 2019 15:21:14 +0200
> > Cc: Nicolas Goaziou <[email-masked]>, [email-masked],
> Ergus <[email-masked]>,
> >       [email-masked]
> >
> >  Can one of the Org developers (CC'ed) please tell why Org does this?
> >  Why not limit the face to the actual text, and avoid putting the face
> >  on the newline?
> >
> > Because it looks good.  The begin/end lines delineate a block, and if
> you use a background color, then the
> > color goes all across the window, which I think looks good and shows the
> structure better.
>
> But that happens only if the face specifies a background color.  If it
> specifies, say, :underline instead, on GUI frames it just extends one
> character cell beyond the last character, and on TTY frames it goes to
> the end of the window, i.e. behaves inconsistently.  And with
> display-fill-column-indicator-mode turned on, on GUI frames it goes
> half-way till the fill column: yet another inconsistent behavior.
>
> So if you think the current display looks good, how about making it
> optional?  Then this could be turned off to avoid the inconsistent
> display in those use cases where it matters.
>

It is possible to make it optional.  However, it seems to me that this is a
bug in the display engine that should be fixed anyway, don't you agree?

Carsten